=== kioslave/src/autotests/CMakeLists.txt ===
ecm_add_tests( regexptest.cpp  NAME_PREFIX "libksieve-" LINK_LIBRARIES Qt::Test)
