=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 21.12.3~),
-               libkf5imap-dev (>= 21.12.3~),
-               libkf5libkdepim-dev (>= 4:21.12.3~),
-               libkf5mailtransport-dev (>= 21.12.3~),
-               libkf5mime-dev (>= 21.12.3~),
+               libkf5identitymanagement-dev (>= 22.08.1~),
+               libkf5imap-dev (>= 22.08.1~),
+               libkf5libkdepim-dev (>= 4:22.08.1~),
+               libkf5mailtransport-dev (>= 22.08.1~),
+               libkf5mime-dev (>= 22.08.1~),
                libkf5newstuff-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:21.12.3~),
-               libkf5pimtextedit-dev (>= 21.12.3~),
+               libkf5pimcommon-dev (>= 4:22.08.1~),
+               libkf5pimtextedit-dev (>= 22.08.1~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libqt5webchannel5-dev (>= 5.6.1~),
@@ -79,11 +79,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:21.12.3~),
+Depends: libkf5akonadi-dev (>= 4:22.08.1~),
          libkf5kmanagesieve5 (= ${binary:Version}),
          libkf5ksieve5 (= ${binary:Version}),
          libkf5ksieveui5 (= ${binary:Version}),
-         libkf5pimcommon-dev (>= 4:21.12.3~),
+         libkf5pimcommon-dev (>= 4:22.08.1~),
          libkf5syntaxhighlighting-dev,
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
